Changelog
=========

---

All notable changes to this project will be documented in this file.<br>
`SwiftyBot` adheres to [Semantic Versioning](http://semver.org/).

---

### 3.x Releases
- `3.0.x` Releases - [3.0.0](#300---hey-swiftybot-say-hi-to-google)

### 2.x Releases
- `2.3.x` Releases - [2.3.0](#230---swift-4-support) | [2.3.1](#231---minor-improvements) | [2.3.2](#232---graph-api-30) | [2.3.3](#233---facebook-requirements)
- `2.2.x` Releases - [2.2.0](#220---vaporizer)
- `2.1.x` Releases - [2.1.0](#210---big-greetings)
- `2.0.x` Releases - [2.0.0](#200---sell-me-something)

### 1.x Releases
- `1.2.x` Releases - [1.2.0](#120---general-update)
- `1.1.x` Releases - [1.1.0](#110---bfkit-swift-is-awesome)
- `1.0.x` Releases - [1.0.0](#100---send-me-a-telegram)

---

## [3.0.0](https://github.com/FabrizioBrancati/SwiftyBot/releases/tag/3.0.0) - Hey SwiftyBot, Say Hi To Google
### 14 Nov 2018
### Added
- Added Google Assistant support
- Added a full suite of tests
- Added Heroku deploy with a new `Deploy to Heroku` button on the [readme](https://github.com/FabrizioBrancati/SwiftyBot#heroku)

### Improved
- Entirely rewritten with Vapor 3
- Every platform has a dedicated folder and package
- Updated Facebook Graph API to version 5.0
- Updated SwiftLint to 0.35.0

### Removed
- Removed Hound CI

---

## [2.3.3](https://github.com/FabrizioBrancati/SwiftyBot/releases/tag/2.3.3) - Facebook Requirements
### 5 May 2018
### Added
- Added `messaging_type` string in JSON response

---

## [2.3.2](https://github.com/FabrizioBrancati/SwiftyBot/releases/tag/2.3.2) - Graph API 3.0
### 4 May 2018
### Improved
- Updated SwiftLint to 0.25.1
- Updated Facebook Graph API to 3.0
- Updated with Swift 4.1 compatibility
- Updated BFKit-Swift to 3.1.x

---

## [2.3.1](https://github.com/FabrizioBrancati/SwiftyBot/releases/tag/2.3.1) - Minor Improvements
### 18 Feb 2017
### Added
- Added Hound CI

### Improved
- Updated SwiftLint to 0.25.0
- Improved `Config/secrets/` folder explanation [#5](https://github.com/FabrizioBrancati/SwiftyBot/issues/5)

Thanks to [@n0an](https://github.com/n0an) for this release

---

## [2.3.0](https://github.com/FabrizioBrancati/SwiftyBot/releases/tag/2.3.0) - Swift 4 Support
### 23 Sep 2017
### Added
- Added support for Swift 4

### Improved
- Updated Facebook Graph API to 2.10
- Updated BFKit-Swift to 3.0.x
- Updated SwiftLint to 0.22.0

---

## [2.2.0](https://github.com/FabrizioBrancati/SwiftyBot/releases/tag/2.2.0) - Vaporizer
### 21 May 2017
### Improved
- Updated Facebook Graph API to 2.9
- Updated Vapor to 2.0.x
- Updated BFKit-Swift to 2.3.x
- Updated with Swift 3.1 compatibility
- Updated SwiftLint to 0.18.1

---

## [2.1.0](https://github.com/FabrizioBrancati/SwiftyBot/releases/tag/2.1.0) - Big Greetings
### 10 Mar 2017
### Added
- Added greetings for Facebook Messenger

---

## [2.0.0](https://github.com/FabrizioBrancati/SwiftyBot/releases/tag/2.0.0) - Sell Me Something
### 07 Feb 2017
### Added
- Added Facebook Messenger support

### Improved
- Updated Vapor to 1.5.x
- Updated BFKit-Swift to 2.2.x
- Updated SwiftLint to 0.16.1

---

## [1.2.0](https://github.com/FabrizioBrancati/SwiftyBot/releases/tag/1.2.0) - General Update
### 23 Dec 2016
### Added
- Added Xcode 8.2 and Swift 3.0.2 support

### Improved
- Updated Vapor to 1.3.x
- Updated BFKit-Swift to 2.1.x
- Updated SwiftLint to 0.14.0

---

## [1.1.0](https://github.com/FabrizioBrancati/SwiftyBot/releases/tag/1.1.0) - BFKit Swift Is Awesome
### 10 Dec 2016
### Added
- Added [BFKit Swift](https://github.com/FabrizioBrancati/BFKit-Swift) dependency
- Added Xcode 8.1 and Swift 3.0.1 support

---

## [1.0.0](https://github.com/FabrizioBrancati/SwiftyBot/releases/tag/1.0.0) - Send Me A Telegram
### 17 Oct 2016
### Added
- Added Telegram support
- Added reversed message
